{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.just;
in {
  options.marleyos.programs.just.enable = lib.mkEnableOption "just";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      just
    ];

    home.shellAbbrs.j = "just";
  };
}
